@charset "utf-8";

@import url('base.css');

/* --------------------------------------------
 * layout
/* ------------------------------------------ */
body.ovf_hdn,
.ovf_hdn {
  overflow: hidden;
  height: 100%;
}


#wrap {
  position: relative;
  width: 100%;
  padding: 0;
  overflow: hidden;
}

.container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 20px;
}

/* Preloader */
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 99999;
  display: flex;
  align-items: center;
  justify-content: center;
}

.preloader-pane {
  position: absolute;
  left: 0;
  width: 100%;
  height: 50vh;
  background-color: #fff;
  z-index: 1;
}

.preloader-top {
  top: 0;
}

.preloader-bottom {
  bottom: 0;
}

.preloader-content {
  position: relative;
  z-index: 2;
  text-align: center;
  width: 100%;
}

.preloader-content .logo-box {
  position: relative;
  z-index: 2;
  padding: 0 40px 40px;
  display: inline-block;
}

.preloader-content .logo-box img {
  height: 60px;
  margin-bottom: 50px;
}

.preloader-content .logo-box p {
  font-size: 18px;
  color: #1b2470;
  font-weight: 500;
}

.loading-bar-container {
  position: absolute;
  top: 50%;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: #e0e0e0;
  z-index: 1;
  transform: translateY(-50%);
}

.loading-progress {
  height: 100%;
  width: 0%;
  background-color: #1b2470;
}

/* Hero Section */
.home-hero {
  position: relative;
  height: 100vh;
  display: flex;
  align-items: center;
  background-color: #000;
  padding-top: 80px;
  overflow: hidden;
}

.hero-video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 0;
}

.home-hero .container {
  position: relative;
  z-index: 1;
  max-width: 100%;
  width: 100%;
  padding: 0 80px;
}

.home-hero .claim-m {
  font-size: 20px;
  color: #060037;
  padding-bottom: 110px;
}

.home-hero .claim-m .t1 {
  color: #1b2470;
  font-size: 126px;
  font-family: 'GMarketSans';
  line-height: 1.1;
  letter-spacing: -0.03em;
  opacity: 0;
}

.home-hero .claim-m .t2 {
  margin-top: 60px;
  opacity: 0;
}

/* Horizontal Section */
.horizontal-section {
  position: relative;
  z-index: 10;
  overflow: hidden;
  height: 100vh;
}

.horizontal-wrapper {
  position: fixed;
  /* Changed from absolute to fixed by default for desktop */
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  transform: translateX(100%);
  z-index: 999;
}

.track {
  display: block;
  width: 100%;
  height: auto;
}

.h-slide {
  position: relative;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  padding: 0;
  display: block;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
}

.h-slide .bg-wrap {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  padding-left: 20vw;
}

.h-slide .bg-wrap::before {
  content: '';
  width: 4px;
  height: 100vh;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 10;
  background-color: #fff;
}

.h-slide .bg {
  width: 80vw;
  height: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  overflow: hidden;
}

.h-slide.slide01 .bg {
  background-image: url(../images/bg1.jpg);
}

.h-slide.slide02 .bg {
  background-image: url(../images/bg2.jpg);
}

.h-slide.slide03 .bg {
  background-image: url(../images/bg3.jpg);
}

.h-slide.slide04 .bg {
  background-image: url(../images/bg4.jpg);
}

.h-slide.slide05 .bg {
  background-image: url(../images/bg5.jpg);
}

.h-slide .desc {
  position: relative;
  z-index: 2;
  background-color: #fff;
  width: 50vw;
  height: 100vh;
  padding: 80px 90px;
}

.h-slide .desc::after {
  content: '';
  position: absolute;
  top: -4px;
  left: 0;
  width: 50vw;
  height: 10px;
  display: block;
  background-color: #fff;
}

.h-slide .desc .t1 {
  color: #202d9b;
  font-size: 20px;
  font-weight: 600;
}

.h-slide.slide01 .desc .t2 {
  color: #c3a88d;
}

.h-slide.slide02 .desc .t2 {
  color: #89827f;
}

.h-slide.slide03 .desc .t2 {
  color: #88aac9;
}

.h-slide.slide04 .desc .t2 {
  color: #5893cb;
}

.h-slide.slide05 .desc .t2 {
  color: #7897bf;
}

.h-slide .desc .t2 {
  font-size: 84px;
  font-weight: 800;
  font-family: 'GMarketSans';
  margin: 50px 0 110px;
  line-height: 1.1;
  /*background-size: cover;
  background-position: center;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  color: transparent;*/
}

.h-slide .desc .t3 {
  color: #111;
  font-size: 30px;
  font-weight: 600;
  font-family: 'GMarketSans';
}

.h-slide .desc .t4 {
  color: #333;
  font-size: 18px;
  margin-top: 40px;
}

.h-slide .desc .t4 li+li {
  margin-top: 10px;
}

.h-slide .desc .t4 li {
  padding-left: 14px;
  text-indent: -14px;
}

.h-slide .desc .t4 li::before {
  content: '';
  width: 4px;
  height: 4px;
  display: inline-block;
  background-color: #cacfd8;
  margin-right: 10px;
  border-radius: 50%;
  vertical-align: middle;
}

/* .button-mobile {
  display: none;
} */

/* Values */
.last-section {
  position: relative;
  z-index: 20;
  padding: 0;
}

.last-section .container {
  display: flex;
  max-width: 100%;
  width: 100%;
  padding: 0;
}

.last-section .item {
  position: relative;
  flex: 1;
  background: #f8f8f9;
}

.last-section .item:last-child {
  background: #f2f2f5;
}

.last-section .item .t1 {
  position: absolute;
  padding: 90px;
  color: #1b2470;
  font-size: 24px;
  font-weight: 700;
  line-height: 1.3;
  z-index: 2;
  font-family: 'GMarketSans';
}

.last-section .item .btn-arrow {
  position: absolute;
  right: 90px;
  bottom: 90px;
  display: inline-block;
  font-size: 0;
  color: transparent;
  width: 96px;
  height: 64px;
  background: url(../images/ic_arr.png) no-repeat 50% 50% / cover;
  transition: transform 0.3s ease;
}

.last-section .item:hover .btn-arrow {
  transform: translateX(10px);
}

/* Footer */
.footer {
  background: #fff;
  color: #111;
  padding: 90px;
  font-size: 18px;
}

.footer .container {
  display: flex;
  max-width: 100%;
  width: 100%;
  padding: 0;
}

.footer .logo {
  width: 200px;
}

.footer-text {
  display: flex;
  flex-direction: column;
}

.footer-text .addr p {
  text-indent: -14px;
  padding-left: 14px;
}

.footer-text .addr p::before {
  content: "";
  width: 4px;
  height: 4px;
  background-color: #c1c8d0;
  display: inline-block;
  border-radius: 50%;
  margin-right: 10px;
  vertical-align: middle;
}

.footer-text .addr p+p {
  margin-top: 5px;
}

.footer-text .addr p a {
  color: #1c2362;
}

.footer-text .addr p span {
  display: inline-block;
  position: relative;
  text-indent: 0;
  padding-left: 0;
}

.footer-text .addr p span+span {
  padding-left: 12px;
  margin-left: 12px;
}

.footer-text .addr p span+span::before {
  content: "";
  width: 1px;
  height: 10px;
  background-color: #c4c7cc;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
}

.footer-text .copyright {
  margin-top: 35px;
  color: #555;
  font-size: 14px;
  padding-left: 14px;
}

.footer-menu {
  margin-left: auto;
  display: flex;
  gap: 36px;
  align-items: end;
}

.footer-menu .sns {
  display: flex;
  height: 60px;
  align-items: center;
  gap: 12px;
}

.footer-menu .sns>a {
  width: 48px;
  height: 48px;
  font-size: 0;
  color: transparent;
}

.footer-menu .sns>a.fb {
  background-image: url(../images/footer_sns1.png);
}

.footer-menu .sns>a.youtube {
  background-image: url(../images/footer_sns2.png);
}

.footer-menu .sns>a.insta {
  background-image: url(../images/footer_sns3.png);
}

.footer-menu .brand {
  position: relative;
  width: 280px;
  height: 60px;
}

.footer-menu .brand>a {
  height: 60px;
  display: flex;
  align-items: center;
  border: #f3f3f3 2px solid;
  width: 100%;
  font-size: 16px;
  padding: 0 28px;
}

.footer-menu .brand>a::after {
  content: '';
  width: 10px;
  height: 10px;
  border-top: #1d1d1d 2px solid;
  border-right: #1d1d1d 2px solid;
  position: absolute;
  right: 28px;
  top: 50%;
  transform: translateY(-50%) rotate(135deg);
  transition: transform 0.3s ease;
}

.footer-menu .brand.on>a::after {
  transform: translateY(-50%) rotate(-45deg);
}

.footer-menu .brand>ul {
  position: absolute;
  bottom: 56px;
  left: 0;
  width: 100%;
  background-color: #fff;
  border: #f3f3f3 2px solid;
  box-sizing: border-box;
  display: none;
}

.footer-menu .brand>ul>li+li {
  border-top: #f3f3f3 2px solid;
}

.footer-menu .brand>ul>li>a {
  display: flex;
  align-items: center;
  padding: 20px 25px;
  width: 100%;
  height: 100%;
  color: #111;
  font-size: 14px;
  font-weight: 600;
}

/* Fixed Right Buttons */
.fixed-right-buttons {
  position: fixed;
  right: 0;
  top: 50%;
  transform: translate(100%, -50%);
  z-index: 999;
  display: flex;
  flex-direction: column;
  box-shadow: -4px 0 20px rgba(0, 0, 0, 0.1);
  animation: slideInRight 1s cubic-bezier(0.25, 1, 0.5, 1) forwards;
  animation-delay: 0.5s;
}

@keyframes slideInRight {
  0% {
    transform: translate(100%, -50%);
  }

  100% {
    transform: translate(0, -50%);
  }
}

.fixed-right-buttons a {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 40px 18px;
  text-decoration: none;
  font-size: 15px;
  font-weight: 700;
  letter-spacing: 0.05em;
  gap: 30px;
  transition: background-color 0.3s ease;
}

.fixed-right-buttons a .text {
  writing-mode: vertical-rl;
  text-orientation: mixed;
}

.fixed-right-buttons .btn-gcsbio {
  background-color: #1b2470;
  color: #fff;
}

.fixed-right-buttons .btn-gcsbio:hover {
  background-color: #131a52;
}

.fixed-right-buttons .btn-gcshcb {
  background-color: #fff;
  color: #000;
}

.fixed-right-buttons .btn-gcshcb:hover {
  background-color: #f4f4f4;
}

/* Mouse Follow Button */
.button-big {
  margin-top: 60px;
  opacity: 0;
  display: inline-block;
}

.button-big .inner {
  width: 253px;
  height: 72px;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 0.05em;
  transition: transform 0.3s ease;
}

.button-big .inner span {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 180px;
  height: 72px;
  border-radius: 10px;
  background-color: rgba(27, 36, 112, 1);
}

.button-big .inner i {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 72px;
  height: 72px;
  background-color: rgba(27, 36, 112, 1);
  border-radius: 10px;
}

.button-big .inner i::after {
  content: '';
  width: 3px;
  height: 30px;
  position: absolute;
  top: 50%;
  left: -2px;
  background-color: rgba(27, 36, 112, 1);
  display: block;
  z-index: 99999;
  transform: translateY(-50%);
}

.button-big .inner:hover {
  transform: scale(1.05);
}

/* Responsive */
@media (max-width: 1400px) {
  .h-slide .desc .t2 {
    font-size: 75px;
  }
}

@media (max-width: 1200px) {
  .h-slide .desc .t2 {
    font-size: 70px;
  }

  .h-slide .desc {
    padding: 40px;
  }

  .last-section .item .t1 {
    padding: 50px;
  }

  .last-section .item .btn-arrow {
    right: 40px;
    bottom: 40px;
    height: 40px;
    width: 4rem;
    background-size: 100% auto;
  }
}

@media (max-width: 1024px) {
  .home-hero .claim-m .t1 {
    font-size: 100px;
  }

  .home-hero .claim-m .t2 {
    font-size: 20px;
  }

  .h-slide {
    width: 100vw;
  }

  .section-values {
    grid-template-columns: 1fr;
  }

  .home-hero .claim-m {
    font-size: 10vw;
  }

  .footer {
    padding: 60px 40px;
  }

  .footer .container {
    flex-wrap: wrap;
  }

  .footer-menu {
    width: 100%;
    justify-content: space-between;
    margin-top: 20px;
  }

  .footer-text-container {
    flex-direction: column;
    gap: 30px;
  }

  .footer .bot {
    flex-direction: column;
    gap: 20px;
  }
}

/* Mobile & Tablet (max-width: 820px) */
@media (max-width: 820px) {
  /* .button-big {
    display: none;
  } */

  /* Vertical stacking for horizontal section */
  .horizontal-section {
    height: auto;
    display: block;
    overflow: visible;
  }

  .horizontal-wrapper {
    position: relative !important;
    transform: none !important;
    width: 100%;
    height: auto;
    border-radius: 0 !important;
  }

  .track {
    display: block;
    width: 100% !important;
    /* Override GSAP track width */
    height: auto;
    transform: none !important;
  }

  .h-slide {
    width: 100vw;
    height: auto;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    padding: 0;
    position: relative !important;
  }

  .h-slide .bg-wrap {
    position: relative !important;
    width: 100%;
    height: 50vh;
    padding-left: 0 !important;
  }

  .h-slide .bg-wrap::before {
    display: none;
  }

  .h-slide .bg {
    position: relative;
    width: 100%;
    height: 100%;
  }

  .h-slide .desc {
    width: 100%;
    height: auto;
    min-height: 50vh;
    padding: 40px 4.5vw;
  }

  .h-slide .desc::after {
    display: none;
  }

  .h-slide .desc .t2 {
    font-size: 50px;
    margin: 40px 0;
    background-size: cover;
  }

  .home-hero .container {
    padding: 0 4.5vw;
  }

  .home-hero .claim-m .t1 {
    font-size: 10vw;
  }

  .home-hero .claim-m .t2 {
    font-size: 2.6vw;
    margin-top: 30px;
  }

  .last-section .container {
    flex-direction: column;
  }

  .last-section .item {
    width: 100%;
  }

  .last-section .item .t1 {
    padding: 40px;
    font-size: 20px;
  }

  .footer {
    padding: 6vw 4.5vw;
  }

  .footer-text {
    margin-top: 20px;
  }

  /* Button Mobile Base (Hidden on PC) */
  .button-mobile {
    display: none;
  }

  .button-mobile {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 253px;
    height: 72px;
    margin-top: 40px;
    color: #fff;
    font-size: 16px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.05em;
    border-radius: 10px;
    opacity: 0;
    background-color: rgba(27, 36, 112, 1);
  }

  .button-mobile span {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 180px;
    height: 72px;
  }

  .button-mobile i {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 72px;
    height: 72px;
    border-radius: 10px;
    background-color: rgba(27, 36, 112, 1);
  }

  .button-mobile i::after {
    content: '';
    width: 3px;
    height: 30px;
    position: absolute;
    top: 50%;
    left: -2px;
    background-color: rgba(27, 36, 112, 1);
    display: block;
    z-index: 2;
    transform: translateY(-50%);
  }
}

@media (max-width: 640px) {
  .home-hero .container {
    padding: 0 13vw 0 4.5vw;
  }

  .home-hero .claim-m .t2 {
    font-size: 3.4vw;
  }

  .h-slide .desc {
    padding-right: 13vw;
  }

  .h-slide .desc .t2 {
    margin: 2.4rem 0;
  }

  .h-slide .desc .t4 {
    font-size: 3.4vw;
    margin-top: 1.4rem;
  }

  .last-section .item .btn-arrow {
    width: 4rem;
    background-size: 100% auto;
  }

  .footer {
    font-size: 3.4vw;
  }

  .footer-text .addr p span+span {
    margin-left: 0;
    margin-top: .5rem;
    padding-left: 0;
  }

  .footer-text .addr p span+span::before {
    display: none;
  }

  .footer-text .copyright {
    margin-top: 1.5rem;
  }

  .footer-menu .sns {
    gap: .5rem;
    height: 4rem;
  }

  .footer-menu .sns>a {
    width: 3rem;
    height: 3rem;
    background-size: cover;
  }

  .footer-menu .brand {
    height: 4rem;
  }

  .footer-menu .brand>a {
    height: 4rem;
    padding: 0 1.5rem;
  }

  .footer-menu .brand>a::after {
    right: 1.4rem;
  }

  .footer-menu .brand>ul {
    bottom: 4rem;
  }

  .fixed-right-buttons a {
    padding: 2rem 1rem;
    font-size: 1.3rem;
    gap: 1rem;
  }

  .button-mobile {
    width: 15rem;
    height: 5rem;
    border-radius: .5rem;
  }

  .button-mobile span {
    flex: 1;
    width: auto;
    height: 5rem;
    font-size: 1.3rem;
  }

  .button-mobile i {
    width: 3rem;
    height: 5rem;
  }

  .button-big .inner {
    width: 17rem;
    height: 5rem;
  }

  .button-big .inner span {
    width: calc(100% - 5.1rem);
    padding: 0 .4rem;
    height: 5rem;
    font-size: 1.3rem;
  }

  .button-big .inner i {
    width: 5rem;
    height: 5rem;
  }
}


.slideBar{ display:none;}